// chapitre 3 complexe.cpp : défin
it le point d'entrée pour l'application console.
//

#include "stdafx.h"
#include ".\complexe.h"
#include <iostream>

using namespace std;

void automatique()
{
	Complexe*c=new Complexe();
	delete(c); // appelle le destructeur

	Complexe d;
}

int main(int argc, char* argv[])
{
	Complexe t;

	cout << "avant" << endl;
	automatique();
	cout << "après" << endl;

	Complexe a;			// constr. Complexe(void)
	Complexe b(2,3);	// constr. Complexe(double,double)
	cout << b;

	Complexe c(b);		// constr. Complexe(Complexe &)

	a=b+c;				// + opérateur surchargé
	a=a-c;
	a=a*b;
	a=a*0.5;
	a.afficher();

	Complexe*pa=new Complexe(4,5);
	Complexe*pb=new Complexe(*pa);
	delete(pb);

	a.add(b);

	a.afficher();
	b.afficher();
	c.afficher();
	
	return 0;
}
